summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author David Somero2013-12-01 08:22:31 +0100
committer Robby Workman2013-12-02 07:58:02 +0100
commit352680a4a168f166badb1583895dbe949c9c1ded (patch)
tree01879ce19671c061ef69f418297a1041c74c16ce /multimedia
parent749460d8eac3f2cae4e140afc9a74b1da29ea9d1 (diff)
downloadslackbuilds-352680a4a168f166badb1583895dbe949c9c1ded.tar.gz
multimedia/mythplugins: Added (plugins for mythtv).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mythplugins/README7
-rw-r--r--multimedia/mythplugins/mythplugins.SlackBuild111
-rw-r--r--multimedia/mythplugins/mythplugins.info10
-rw-r--r--multimedia/mythplugins/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/multimedia/mythplugins/README b/multimedia/mythplugins/README
new file mode 100644
index 0000000000..19dc76fa51
--- /dev/null
+++ b/multimedia/mythplugins/README
@@ -0,0 +1,7 @@
+All the official MythTV plugins, including MythArchive,
+MythGallery, MythGame, MythMusic, MythNews, MythVideo,
+MythWeather, and MythBrowser.
+
+Some of these plugins require extra work to get them functional.
+See the README files in /usr/doc/mythplugins for extra steps,
+configuration, and dependencies.
diff --git a/multimedia/mythplugins/mythplugins.SlackBuild b/multimedia/mythplugins/mythplugins.SlackBuild
new file mode 100644
index 0000000000..69022f7fa4
--- /dev/null
+++ b/multimedia/mythplugins/mythplugins.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for mythtvplugins
+# http://www.mythtv.org/
+
+# Written by David Somero <dsomero@hotmail.com>
+# Derived from Slackware's Slackbuilds.
+#
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010-2013 David Somero (dsomero@hotmail.com) Athens, TN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mythplugins
+VERSION=0.27
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${TMP}/package-${PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf mythtv-fixes-$VERSION
+tar xvf $CWD/mythtv-fixes-$VERSION.tar.gz
+cd mythtv-fixes-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd mythplugins
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-all \
+ --libdir-name=lib${LIBDIRSUFFIX}
+
+qmake $PRGNAM.pro
+make
+make INSTALL_ROOT="$PKG" install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Remove perllocal.pod and other special files that don't need to be installed
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( PATHS=$(ls -d */ | xargs -l basename)
+ for i in $PATHS; do
+ [ -f $i/README ] && cp $i/README $PKG/usr/doc/$PRGNAM-$VERSION/README.$i ;
+ [ -f $i/AUTHORS ] && cp $i/AUTHORS $PKG/usr/doc/$PRGNAM-$VERSION/AUTHORS.$i ;
+ [ -f $i/COPYING ] && cp $i/COPYING $PKG/usr/doc/$PRGNAM-$VERSION/COPYING.$i ;
+ done
+)
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/mythplugins/mythplugins.info b/multimedia/mythplugins/mythplugins.info
new file mode 100644
index 0000000000..3b83ce79a0
--- /dev/null
+++ b/multimedia/mythplugins/mythplugins.info
@@ -0,0 +1,10 @@
+PRGNAM="mythplugins"
+VERSION="0.27"
+HOMEPAGE="http://www.mythtv.org/"
+DOWNLOAD="http://downloads.sourceforge.net/project/mythtv.mirror/MythTV%200.27/mythtv-fixes-0.27.tar.gz"
+MD5SUM="2c7a2ebf3b9551a4d025d8e877381435"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="dcraw mythtv perl-Date-Manip perl-SOAP-Lite perl-DateTime-Format-ISO8601 perl-Image-Size perl-XML-XPath python-oauth perl-JSON"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
diff --git a/multimedia/mythplugins/slack-desc b/multimedia/mythplugins/slack-desc
new file mode 100644
index 0000000000..fe99c188f6
--- /dev/null
+++ b/multimedia/mythplugins/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mythplugins: Mythtv Plugins ( http://www.mythtv.org/ )
+mythplugins:
+mythplugins: Official MythTV plugins:
+mythplugins:
+mythplugins: MythBrowser, MythDVD, MythFlix,
+mythplugins: MythGallery, MythGame, MythMusic,
+mythplugins: MythNews, MythPhone, MythVideo,
+mythplugins: MythWeather, and MythWeb
+mythplugins:
+mythplugins:
+mythplugins: